#################################################
#
#  (C) 2016 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### commands (static) #########################

tde_add_library( commands STATIC_PIC AUTOMOC
  SOURCES
    addentries.cpp modifyentries.cpp removeentries.cpp
    addloans.cpp modifyloans.cpp removeloans.cpp
    fieldcommand.cpp filtercommand.cpp reorderfields.cpp
    group.cpp collectioncommand.cpp renamecollection.cpp
    updateentries.cpp
)
